## NMSettingIP4Config NMSettingIP4Config |

## Functions

NMSetting * | nm_setting_ip4_config_new ()
const char * | nm_setting_ip4_config_get_dhcp_client_id ()
const char * | nm_setting_ip4_config_get_dhcp_fqdn ()
const char * | nm_setting_ip4_config_get_dhcp_vendor_class_identifier ()

## Types and Values

#define | NM_SETTING_IP4_CONFIG_SETTING_NAME
#define | NM_SETTING_IP4_CONFIG_DHCP_CLIENT_ID
#define | NM_SETTING_IP4_CONFIG_DHCP_FQDN
#define | NM_SETTING_IP4_CONFIG_DHCP_VENDOR_CLASS_IDENTIFIER
#define | NM_SETTING_IP4_CONFIG_METHOD_AUTO
#define | NM_SETTING_IP4_CONFIG_METHOD_LINK_LOCAL
#define | NM_SETTING_IP4_CONFIG_METHOD_MANUAL
#define | NM_SETTING_IP4_CONFIG_METHOD_SHARED
#define | NM_SETTING_IP4_CONFIG_METHOD_DISABLED

## Description

## Functions

### nm_setting_ip4_config_new ()

    NMSetting *
    nm_setting_ip4_config_new (void);

### nm_setting_ip4_config_get_dhcp_client_id ()

    const char *
    nm_setting_ip4_config_get_dhcp_client_id
                                   (NMSettingIP4Config *setting);

### nm_setting_ip4_config_get_dhcp_fqdn ()

    const char *
    nm_setting_ip4_config_get_dhcp_fqdn (NMSettingIP4Config *setting);

### nm_setting_ip4_config_get_dhcp_vendor_class_identifier ()

    const char *
    nm_setting_ip4_config_get_dhcp_vendor_class_identifier
                                   (NMSettingIP4Config *setting);

## Types and Values

### NM_SETTING_IP4_CONFIG_SETTING_NAME

    #define NM_SETTING_IP4_CONFIG_SETTING_NAME "ipv4"

### NM_SETTING_IP4_CONFIG_DHCP_CLIENT_ID

    #define NM_SETTING_IP4_CONFIG_DHCP_CLIENT_ID               "dhcp-client-id"

### NM_SETTING_IP4_CONFIG_DHCP_FQDN

    #define NM_SETTING_IP4_CONFIG_DHCP_FQDN                    "dhcp-fqdn"

### NM_SETTING_IP4_CONFIG_DHCP_VENDOR_CLASS_IDENTIFIER

    #define NM_SETTING_IP4_CONFIG_DHCP_VENDOR_CLASS_IDENTIFIER "dhcp-vendor-class-identifier"

### NM_SETTING_IP4_CONFIG_METHOD_AUTO

    #define NM_SETTING_IP4_CONFIG_METHOD_AUTO "auto"

IPv4 configuration should be automatically determined via a method appropriate for the hardware interface, ie DHCP or PPP or some other device-specific manner.

### NM_SETTING_IP4_CONFIG_METHOD_LINK_LOCAL

    #define NM_SETTING_IP4_CONFIG_METHOD_LINK_LOCAL "link-local"

IPv4 configuration should be automatically configured for link-local-only operation.

### NM_SETTING_IP4_CONFIG_METHOD_MANUAL

    #define NM_SETTING_IP4_CONFIG_METHOD_MANUAL "manual"

All necessary IPv4 configuration (addresses, prefix, DNS, etc) is specified in the setting's properties.

### NM_SETTING_IP4_CONFIG_METHOD_SHARED

    #define NM_SETTING_IP4_CONFIG_METHOD_SHARED "shared"

This connection specifies configuration that allows other computers to connect through it to the default network (usually the Internet). The connection's interface will be assigned a private address, and a DHCP server, caching DNS server, and Network Address Translation (NAT) functionality will be started on this connection's interface to allow other devices to connect through that interface to the default network.

### NM_SETTING_IP4_CONFIG_METHOD_DISABLED

    #define NM_SETTING_IP4_CONFIG_METHOD_DISABLED "disabled"

This connection does not use or require IPv4 address and it should be disabled.